> For the complete documentation index, see [llms.txt](https://docs.easy.gg/scripting/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.easy.gg/scripting/bedwars-scripting/services/statuseffectservice.md).

# StatusEffectService

Example usage:

```lua
-- Give all entities the Speed Status Effect when the match starts for 60 seconds
Events.MatchStart(function(event)
    for i, player in ipairs(PlayerService.getPlayers()) do
        local entity = player:getEntity()
        if not entity then
            continue
        end
        StatusEffectService.giveEffect(entity, StatusEffectType.SPEED, 60)
    end
end)
```

### Functions

#### giveEffect(entity: [Entity](/scripting/bedwars-scripting/objects/entity.md), effect: [StatusEffectType](/scripting/bedwars-scripting/types/statuseffecttype.md), duration: number | nil)

Gives an effect to an entity. You can optionally specify the duration (in seconds) of the effect.

#### removeEffect(entity: [Entity](/scripting/bedwars-scripting/objects/entity.md), effect: [StatusEffectType](/scripting/bedwars-scripting/types/statuseffecttype.md))

Removes an effect from an entity

#### hasEffect(entity: [Entity](/scripting/bedwars-scripting/objects/entity.md), effect: [StatusEffectType](/scripting/bedwars-scripting/types/statuseffecttype.md)): bool

Returns true if the entity has the specified status effect currently applied to them.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/services/statuseffectservice.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
